// --------------------------------------------------------------
//     RndWnd
//
//  
// --------------------------------------------------------------
#pragma once

enum AREA_STATE
{
	NONE,
	LEFT_UP,
	RIGHT_UP,
	LEFT_DOWN,
	RIGHT_DOWN
};

class CBWMainWnd :	public CBrokenWinCore
{
public:
	CBWMainWnd(void);
	virtual ~CBWMainWnd(void);

	DECLARE_BWAREA_MAP()
	
	// 
protected:
	virtual int CreateEvent(HWND hBrkWin, LPCREATESTRUCT lpCS);
	virtual void DestroyEvent();
	virtual void CloseEvent();
	virtual void DrawEvent(HDC hDC);
	virtual void ContextMenuEvent(UINT xPos, UINT yPos);
	virtual void CommandEvent(int id, HWND hwndCtl, UINT codeNotify);

	// 
public:
	AREA_STATE GetAreaState();
	void SetAreaState(AREA_STATE State);

	// 
private:
	AREA_STATE m_AreaState;			//    
	HMENU	m_hMainMenu;				//  
};
