// ---------------------------------------------------------------------
//    -  
//
//  
// ---------------------------------------------------------------------
#pragma once

#include "UserResourceBase.h"

// -----------------------------------------------
//     
// -----------------------------------------------
#define BWA_NORMAL			0x0000		//  
#define BWA_NS_LEFT			0x0001		//       
#define BWA_NS_RIGHT			0x0011		//       
#define BWA_NS_HCENTER		0x0021		//       
#define BWA_NS_TOP			0x0001		//       
#define BWA_NS_BOTTOM		0x0101		//       
#define BWA_NS_VCENTER		0x0201		//       
#define BWA_SC_BOTH			0x0000		//    
#define BWA_SC_HIGHT			0x1000		//  
#define BWA_SC_WIDTH			0x2000		//  
#define BWA_SC_POSITION		0x3000		//  	
// 
#define BWA_NS_MASK			0x0001		//   
#define BWA_NS_HA_MASK		0x0031		//     
#define BWA_NS_VA_MASK		0x0301		//     
#define BWA_SC_MASK			0x3000		//   

// -----------------------------------------------
//   -   
// -----------------------------------------------
typedef struct BROKEN_WIN_AREA_REStag
{
	WORD AreaID;	//  
	WORD X0;			//  X   
	WORD Y0;			//  Y   
	WORD CX;			//    
	WORD CY;			//    
	WORD Style;		//    
} BROKEN_WIN_AREA_RES,*PBROKEN_WIN_AREA_RES;
// -----------------------------------------------

class CBrkWinResData : public CUserResourceBase
{
public:
	CBrkWinResData(void);
	~CBrkWinResData(void);

	BOOL Load(HINSTANCE hInstance, WORD BrkWinID);
	void GetBrkWinSize(PSIZE pSize);
	UINT GetBrkWinAreaCount();
	void GetBrkWinArea(UINT AreaIdx, PBROKEN_WIN_AREA_RES pArea);

// 
private:
	SIZE									m_BrkWinSize;		//   
	vector<BROKEN_WIN_AREA_RES>	m_BrkWinAreas;		//   
};
