// ---------------------------------------------------------------------
//    -  
//
//  
// ---------------------------------------------------------------------
#include "StdAfx.h"
#include "BrkWinResData.h"

CBrkWinResData::CBrkWinResData(void)
{
}

CBrkWinResData::~CBrkWinResData(void)
{
}

//    
BOOL CBrkWinResData::Load(HINSTANCE hInstance, WORD BrkWinID)
{
	//    
	if (!CUserResourceBase::Load(hInstance,_T("BROKEN_WINDOW"),BrkWinID))
		return FALSE;

	// -----------------------------------------------
	//     
	// -----------------------------------------------
	WORD* pData = (WORD*)m_hResData;
	//   
	m_BrkWinSize.cx = *pData;
	pData++;
	m_BrkWinSize.cy =  *pData;
	pData++;
	//   
	WORD AreaCount = *pData;
	pData++;
	BROKEN_WIN_AREA_RES BrkWinArea;
	for (UINT i = 0; i < AreaCount; i++)
	{
		BrkWinArea.AreaID = *pData;
		pData++;
		BrkWinArea.X0 = *pData;
		pData++;
		BrkWinArea.Y0 = *pData;
		pData++;
		BrkWinArea.CX = *pData;
		pData++;
		BrkWinArea.CY = *pData;
		pData++;
		BrkWinArea.Style = *pData;
		pData++;
		m_BrkWinAreas.push_back(BrkWinArea);
	}

	return TRUE;
}

//    
void CBrkWinResData::GetBrkWinSize(PSIZE pSize)
{
	*pSize = m_BrkWinSize;
}

//     
UINT CBrkWinResData::GetBrkWinAreaCount()
{
	return m_BrkWinAreas.size();
}

//    
void CBrkWinResData::GetBrkWinArea(UINT AreaIdx, PBROKEN_WIN_AREA_RES pArea)
{
	if (AreaIdx >= GetBrkWinAreaCount())
		return;

	*pArea = m_BrkWinAreas[AreaIdx];
}
