// ---------------------------------------------------------------------
// RndWnd.cpp -     
//
// ---------------------------------------------------------------------
#include "stdafx.h"
#include "RndWnd.h"
#include "BWMainWnd.h"

#define MAX_LOADSTRING 100

//  
HINSTANCE g_hInstance;								//  
TCHAR g_szTitle[MAX_LOADSTRING];					//   
CBWMainWnd g_MainWnd;			//  

//  
BOOL InitInstance(HINSTANCE hInstance, int nCmdShow);

//    
int APIENTRY _tWinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPTSTR    lpCmdLine,
                     int       nCmdShow)
{
	UNREFERENCED_PARAMETER(hPrevInstance);
	UNREFERENCED_PARAMETER(lpCmdLine);

	MSG msg;
	HACCEL hAccelTable;
	GdiplusStartupInput gdiplusStartupInput;
	ULONG_PTR           gdiplusToken;

	//   
	LoadString(hInstance, IDS_MWIN_TITLE, g_szTitle, MAX_LOADSTRING);

	//  GDI+
	GdiplusStartup(&gdiplusToken, &gdiplusStartupInput, NULL);

	//   :
	if (!InitInstance (hInstance, nCmdShow))
	{
		MessageBox(NULL, _T("Initialization error of the application"), g_szTitle, MB_OK | MB_ICONERROR);
		return 0;
	}

	//   
	hAccelTable = LoadAccelerators(hInstance, MAKEINTRESOURCE(IDR_MAIN_ACCEL));

	//   :
	while (GetMessage(&msg, NULL, 0, 0))
	{
		if (!TranslateAccelerator(msg.hwnd, hAccelTable, &msg))
		{
			TranslateMessage(&msg);
			DispatchMessage(&msg);
		}
	}

	//  GDI+
	GdiplusShutdown(gdiplusToken);

	return (int) msg.wParam;
}

//  
BOOL InitInstance(HINSTANCE hInstance, int nCmdShow)
{
   g_hInstance = hInstance;

	//   
	POINT BWPos;
	BWPos.x = 10;
	BWPos.y = 10;

	return g_MainWnd.Init(hInstance, BWPos, TRANSPARENT_COLOR, 1.0, IDW_MWIN);
}
